:root {
    --color-font: #efefef;
    --color-background: #2c2c2c;
    --color-background-alt: #282828;
    --color-background-dark: #202020;

    --color-accent: #5e81ac;

    --color-good: #a3be8c;
    --color-okay: #ebcb8b;
    --color-warning: #d09e70;
    --color-problem: #bf616a;

    --page-shadow: 0 10px 20px 0 rgba(20, 20, 20, 0.7);
    --secondary-shadow: 0 10px 20px 0 rgba(27, 27, 27, 0.8);
}

/* :root {
    --color-font: #0a0a0a;
    --color-background: #ffffff;
    --color-background-alt: #fafafa;
    --color-background-dark: #ffffff;

    --color-accent: #81a1c1;

    --color-good: #a3be8c;
    --color-okay: #ebcb8b;
    --color-warning: #d09e70;
    --color-problem: #bf616a;

    --page-shadow: 0 10px 20px 0 rgba(236, 236, 236, 0.8);
    --secondary-shadow: 0 10px 20px 0 rgba(222, 222, 222, 0.9);
} */

* {
    font-family: 'Roboto', sans-serif;
    scrollbar-color: var(--color-background) var(--color-background-alt);
}

body {
    margin: 0;
    background: var(--color-background-alt);
}

#page {
    width: 1280px;
    border-radius: 2rem;

    margin: 50px auto;
    padding: 30px;

    background: var(--color-background);
    box-shadow: var(--page-shadow);
}

#mainTitleContainer {
    display: flex;
    justify-content: space-between;
}

#mainTitle {
    width: 100%;
    margin-bottom: 20px;

    text-align: center;
    font-size: 3em;

    color: var(--color-font);
}

.mainTitleButton > i {
    font-size: 2rem;

    padding: 10px;

    border-radius: 1rem;

    color: var(--color-font);
    background: var(--color-background-alt);
    box-shadow: var(--secondary-shadow);
}

/* Elements */

.horizontalContainer {
    display: flex;
}

.horizontalContainer > *:not(:last-child){
    margin-right: 5px;
}

.divider {
    margin: 50px auto;
}

/* categories */

#categoryWrapper {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
}

.categoryCard {
    width: calc(50% - 60px);
    height: 500px;
    border-radius: 1.5rem;

    margin: 20px;
    padding: 10px;

    /* background: var(--color-background-alt); */
    background-image: linear-gradient(0deg, var(--color-background-alt), var(--color-background-alt));
    box-shadow: var(--secondary-shadow);
}

.categoryCard > .title {
    width: 100%;

    margin-bottom: 10px;

    text-align: center;
    font-size: 2em;

    color: var(--color-font);
}


.entityContainer {
    width: 100%;

    display: flex;
    flex-wrap: wrap;

    position: relative;
}

.entity {
    height: 32px; 
    padding: 6px;
    margin: auto;

    position: relative;
    width: 100%;

    border-radius: 0.6rem;
    
    color: var(--color-font);
    background: var(--color-background);
    
    
    background: linear-gradient(to right, var(--color-accent) 50%, var(--color-background-dark) 0%);
    box-shadow: var(--secondary-shadow);
}

.entity.small {
    height: 22px;
}

.entity.large {
    height: 42px;
}

.entity:not(:last-child) {
    margin-bottom: 15px;
}

.entity > .entityName {
    width: 100%;
    height: 75%;

    position: absolute;

    display: flex;
    justify-content: center;
    align-items: center;
    color:var(--color-font);
}

.entity > .entityName > i {
    margin-right: 4px;
}

.entity.event {
    /* border: 3px solid var(--color-problem); */
    font-style: italic;
}